Subject: Re: [RFC v1] virtio: add virtio-over-PCI driver

From: Ira Snyder <[email-masked]>
Date: Thu, 19 Feb 2009 09:03:14 -0800

On Thu, Feb 19, 2009 at 10:51:43AM -0600, Kumar Gala wrote:
>
> On Feb 19, 2009, at 12:13 AM, Zang Roy-R61911 wrote:
>
>>
>>
>>> -----Original Message-----
>>> From:
>>> linuxppc-dev-bounces+tie-fei.zang=[email-masked]
>>> [mailto:linuxppc-dev-bounces+tie-fei.zang=freescale.com@ozlabs
>>> .org] On Behalf Of Kumar Gala
>>> Sent: Thursday, February 19, 2009 0:47 AM
>>> To: Ira Snyder
>>> Cc: Arnd Bergmann; Jan-Bernd Themann; [email-masked];
>>> Rusty Russell; [email-masked]; [email-masked]
>>> Subject: Re: [RFC v1] virtio: add virtio-over-PCI driver
>>>
>>>
>>> On Feb 17, 2009, at 4:24 PM, Ira Snyder wrote:
>>>
>>>>
>>>> Documentation/virtio-over-PCI.txt     |   61 ++
>>>> arch/powerpc/boot/dts/mpc834x_mds.dts |    7 +
>>>
>>> we'll have to review the .dts and expect a documentation update for
>>> the node.  But that's pretty minor at this point.
>>>
>>>> drivers/virtio/Kconfig                |   22 +
>>>> drivers/virtio/Makefile               |    2 +
>>>> drivers/virtio/vop.h                  |  119 ++
>>>> drivers/virtio/vop_fsl.c              | 1911
>>> ++++++++++++++++++++++++
>>>> +++++++++
>>>
>>> make this vop_fsl_mpc83xx.c or something along those lines.
>> why?
>
> so we can deal with 85xx as well.  We just need to isolate the 83xx  
> specific bits (message usage)
>

In fact, most of the driver has nothing to do with hardware, and
everything to do with managing memory.

Most of the driver could be shared between implementations. The only
things that would be hardware specific are setting up the descriptor
memory, and raising/handling interrupts.

I just wanted to get something working and out here to discuss. I
figured that more hardware support, features, etc. could come later.
Just like everything else in the kernel, I'm sure this will have to
evolve over time as well.

Thanks,
Ira